Get Golden
GEThttps://api.confident-ai.com/v2/datasets/{datasetId}/goldens/{goldenId}
Retrieves a single golden by id. It is single-turn or multi-turn according to the dataset's multiTurn.
curl -X GET "https://api.confident-ai.com/v2/datasets/{datasetId}/goldens/{goldenId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"input": "What is the capital of France?",
"actualOutput": "The capital of France is Paris.",
"expectedOutput": "Paris.",
"context": [
"Paris is the capital of France."
],
"retrievalContext": [
"Paris is the capital and largest city of France."
],
"toolsCalled": [
{
"name": "get_landmark_info",
"type": "FUNCTION",
"description": "This tool gives information about a mountain.",
"inputParameters": {
"mountain": "Everest"
},
"output": "8,848 metres",
"reasoning": "The user asked for the height of a mountain."
}
],
"expectedTools": [
{
"name": "get_landmark_info",
"type": "FUNCTION",
"description": "This tool gives information about a mountain.",
"inputParameters": {
"mountain": "Everest"
},
"output": "8,848 metres",
"reasoning": "The user asked for the height of a mountain."
}
],
"tokenCost": 0.002,
"inputTokenCount": 12,
"outputTokenCount": 3,
"id": "<GOLDEN-ID>",
"additionalMetadata": {
"source": "faq"
},
"comments": "Reviewed by the support team.",
"sourceFile": "capitals.csv",
"sourceFiles": [
"capitals.csv"
],
"finalized": true,
"customColumnKeyValues": {
"difficulty": "easy"
},
"tags": [
"geography"
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
datasetIdstringRequiredThe unique id of the dataset.
goldenIdstringRequiredThe unique id of the golden, returned when the dataset is pulled.
Response
Get Golden succeeded.
successbooleanIndicates if the request was successful.
dataobject | objectA golden in the dataset: single-turn when it carries
input, multi-turn when it carriesscenario. The dataset'smultiTurndecides which kind every golden in it is.Show 2 variantsHide 2 variants
Single-Turn GoldenobjectA single-turn golden as stored in the dataset.
Show 18 propertiesHide 18 properties
inputstringThis is the input to your LLM application.
actualOutputstring | nullThis is the actual output of your LLM application.
expectedOutputstring | nullThis is the expected output of your LLM application, which is the ideal actual output.
contextarray | nullThis is the ideal retrieval context of your LLM application.
retrievalContextarray | nullThis is the retrieval context of your LLM application.
toolsCalledarray | nullThis is the tools called by your LLM application.
Show 6 propertiesHide 6 properties
namestringThis is the name of the tool.
typeenumThe type of the tool call, either a function or an MCP tool.
Show 2 enum valuesHide 2 enum values
FUNCTIONMCP
descriptionstringThis is the description of the tool.
inputParametersobject | nullThis is the input parameters that are passed to the tool.
outputanyThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolsarray | nullThis is the expected tools to be called by the LLM application.
Show 6 propertiesHide 6 properties
namestringThis is the name of the tool.
typeenumThe type of the tool call, either a function or an MCP tool.
Show 2 enum valuesHide 2 enum values
FUNCTIONMCP
descriptionstringThis is the description of the tool.
inputParametersobject | nullThis is the input parameters that are passed to the tool.
outputanyThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
tokenCostnumber | nullThis is the cost of the tokens used to produce the actual output.
inputTokenCountinteger | nullThis is the number of input tokens passed to the LLM model.
outputTokenCountinteger | nullThis is the number of output tokens generated by the LLM model.
idstringThe id of the golden assigned by Confident AI. Use it to get, update or delete this golden.
additionalMetadataobject | nullThis is any additional metadata associated with the golden.
commentsstring | nullThis is any comments associated with the golden.
sourceFilestring | nullThis is the source file from which the golden was retrieved.
sourceFileslist of stringsThese are the source files the golden was retrieved from.
finalizedbooleanThis is true when the golden is finalized and ready to use in evaluations.
customColumnKeyValuesobjectKey-value pairs representing custom table column data for this golden. Keys correspond to the custom column keys defined in the dataset. Absent when the golden has no custom column values.
tagslist of stringsThese are the tags associated with the golden.
- OR
Multi-Turn GoldenobjectA multi-turn golden as stored in the dataset.
Show 13 propertiesHide 13 properties
scenariostringThis is a description of the conversation context.
expectedOutcomestring | nullThis describes the expected outcome, or ideal conversation flow, of the conversation.
userDescriptionstring | nullThis is the description of the user in the conversation.
turnsarray | nullThis is the list of turns in the conversation.
Show 6 propertiesHide 6 properties
idstringThe id of a turn assigned by Confident AI.
roleenumThe role of the turn, either user or assistant.
Show 2 enum valuesHide 2 enum values
userassistant
contentstringThe message content of the turn.
userIdstringThe user ID associated with the turn.
retrievalContextarray | nullThe contexts retrieved to generate the LLM response for this turn.
toolsCalledarray | nullThe tools called to generate the LLM response for this turn.
Show 6 propertiesHide 6 properties
namestringThis is the name of the tool.
typeenumThe type of the tool call, either a function or an MCP tool.
Show 2 enum valuesHide 2 enum values
FUNCTIONMCP
descriptionstringThis is the description of the tool.
inputParametersobject | nullThis is the input parameters that are passed to the tool.
outputanyThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
contextarray | nullThis is the context of the conversation.
idstringThe id of the golden assigned by Confident AI. Use it to get, update or delete this golden.
additionalMetadataobject | nullThis is any additional metadata associated with the golden.
commentsstring | nullThis is any comments associated with the golden.
sourceFilestring | nullThis is the source file from which the golden was retrieved.
sourceFileslist of stringsThese are the source files the golden was retrieved from.
finalizedbooleanThis is true when the golden is finalized and ready to use in evaluations.
customColumnKeyValuesobjectKey-value pairs representing custom table column data for this golden. Keys correspond to the custom column keys defined in the dataset. Absent when the golden has no custom column values.
tagslist of stringsThese are the tags associated with the golden.
deprecatedbooleanIndicates if this endpoint is deprecated.